:root {
  --mainGreen: #02c39a;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html{
  scroll-behavior: smooth;
}
body {
  background-color: #090909;
  font-size: 16px;
  font-family: "roboto";
}
.button {
  border: none;
  border-radius: 25px;
  padding: 1em 1.4em;
  background-color: var(--mainGreen);
  font-weight: 600;
  font-size: 1em;
}
.button:hover {
  background-color: transparent;
  color: #fff;
  border: 1px solid white;
  transition: ease all 0.35s;
  cursor: pointer;
}

.container {
  width: 90%;
  margin: auto;
}
.sticky{
  position: fixed;
  background-color: rgba(0, 0, 0, 0.8);
  transition: ease all .99s;
}
.titleSection h1 {
  margin-top: 1.5em;
  color: #fff;
  text-align: center;
  font-size: 3em;
  font-family: "raleway";
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#headerButton {
  font-size: 1em;
  background-color: var(--mainGreen);
  border: none;
  padding: 0.8em 1em;
  border-radius: 10px;
  display: none;
}
header {
  background-color: #000;
  padding: 1em;
  width: 100%;
 
}
header a {
  color: #fff;
  text-decoration: none;
  margin: 0 1em;
  font-size: 1.25em;
}
header a:hover {
  color: var(--mainGreen);
  transition: ease all 0.199s;
  border-bottom: 1px solid var(--mainGreen);
  cursor: pointer;
}
header h1 {
  font-size: 2.5em;
  color: var(--mainGreen);
}

/* ---------------------MAIN BACKGROUND -------------------- */

.mainBackground {
  color: #fff;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: center;
  height: 90vh;
  background: linear-gradient(
      rgba(0 ,0,  0,  0.6999),
      100%,
      rgba(0, 0, 0, 0.9) 100%
    ),
    url(./imgs/city_reflection_night-wallpaper-1920x1200.jpg);
  background-position: center center;
  background-size: cover;
}

.mainBackground__info h2 {
  font-size: 5.5em;
}

.mainBackground__info h4 {
  font-size: 2em;
  font-weight: 100;
  margin-top: 0.6em;
}

.mainBackground__info button {
  margin-top: 2.5em;
}

/* ---------------------    DESTINATIONS -------------------- */

.destinations__grid {
  margin-top: 2em;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  flex-direction: row-reverse;
}

.destinations__photo {
  width: 45%;
  margin: 2em auto;
}
.destinations__photo img {
  width: 100%;
}

.destinations__info {
  width: 50%;
}

.destinations__info h1 {
  font-size: 2rem;
  color: var(--mainGreen);
  border-bottom: ridge 1px var(--mainGreen);
  margin-top: -4rem;
  display: inline-block;
}
.destinations__info p {
  color: #fff;
  font-size: 1.5rem;
  line-height: 170%;
  font-weight: 200;
  margin-top: 2em;
}

/* ---------------------    PRICES -------------------- */
.pricesTable{
  display: block;
  overflow-x: auto;
}

table,th ,tr {
  border: 2px double #02c39a;
  font-size: 1.1em;
}

th,tr,td{
  padding: 1em 0.54em;
  border: 2px double var(--mainGreen);
}
tr:nth-child(even){
  background-color: rgba(55, 55, 55, 0.8);
}
table {
  margin: 5em auto auto auto ;
  width: 100%;
  max-width: 90%;
  color: #fff;
  border-collapse: collapse;
  
}


/* ---------------------      EXPLORE  -------------------- */

.exploreSection{
  background-color: rgba(0 ,0,  0,  0.8999);
  margin-top: 5em;
  padding: 0.1em 0 4em 0;
}

.exploreGrid{
  display: grid;
  gap: 3em;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-flow: column;
  align-content: center;
  justify-content: center;
}
.exploreGridContent {
  padding: 4em 1em;
  display: grid;
  justify-items: center;
  color: #FFF;
  background-color: rgba(31, 31, 31, 0.53);
  height: 28em;
}

.exploreGridContent i {
font-size: 6em;
color: var(--mainGreen);
}

.exploreGridContent p {
  width: 90%;
  text-align: center;
  margin: auto;
  font-size: 1.4rem;
  font-weight: 200;
  margin-top: 1.5em;
  color: rgba(255,255, 255, 0.8);
  line-height: 180%;
}












/*-----------------MEDIA QUERIES  ------------------*/

@media screen and (max-width: 768px) {
  
  body{
    font-size: 14px;
  }
  #headerButton{
    display: initial;
  }
  .headerLinks{
    transition: ease all .4s;
    width: 10em;
    height: 100%;
    display: inline-block;
    position: absolute;
    left: -200px;
   top: 0;
    background-color: rgba(2, 0, 0, 0.94);
    line-height: 300%;
  }
  .headerLinks a {
    color: #fff;
    }
    .headerLinks nav {
      margin-top: 5em;
    }
  .active{
    left: 0;
    transition: ease all 1s;
  }
  .destinations__photo,
  .destinations__info {
    width: 100%;
  }
  .destinations__photo{
    margin-top: 8em;
  }
  .contactSection{
    margin: 0;
  }

  .exploreGrid{
    grid-template-columns: 1fr;
    grid-auto-flow: row;
  }


}
